[Deprecated]: V18.0
get
/ec-designer-edc-svc/rest/v18.0/studies/{studyId}/versions/{version}/forms/unblinded
Deprecated: Use latest version instead. Returns unblinded forms for the requested study version in v18.0 format. Optional query parameters can request lite payloads, include extended properties, filter by form category, and include dynamic data.
Request
Path Parameters
-
studyId(required): string
Study ID (UUID, 32-character uppercase hexadecimal string). Required.
-
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
dynamicData: boolean
Include dynamic data in response (optional).Default Value:
true -
formCategory: string
Form category filter (optional). Allowed values: DCS, NSF, ALL.Default Value:
DCS -
includeExtProps: boolean
Include extended properties (optional).Default Value:
false -
isLiteAPI: boolean
Return lite payload only (optional).Default Value:
false
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Unblinded forms returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormDto v18.0
Title:
FormDto v18.0Form Info
Nested Schema : FormDto v18.0
Type:
objectTitle:
FormDto v18.0Form Info
Show Source
-
allowMultipleInstances: boolean
Allow multiple instancesExample:
true -
assignedVisits: array
assignedVisits
branch cycle information describing the visits on which the forms are displayed
-
dynamic: integer
(int32)
Count of forms items that point to this form for Show Form featureExample:
4 -
formCategory: string
Form categoryExample:
DCS -
formSubcategory: array
formSubcategory
Form subcategory list
-
formType: string
Allowed Values:
[ "STANDARD_FORM", "LAB_FORM", "TWO_SECTION_FORM", "DRUG_RECONCILIATION_FORM", "STANDARD_FORM, LAB_FORM, TWO_SECTION_FORM" ]Form typeExample:STANDARD_FORM -
hasRevision: boolean
Indicate whether any revisions from a newer study version have been appliedExample:
true -
id: string
(uuid)
Form Unique GUID
-
includeInSafetyCaseData: boolean
Is form associated to Safety Case FormsExample:
true -
items: array
items
-
linkFrom: array
linkFrom
linked from forms
-
logoFileName: string
Logo File Name
-
logoFileUploadRequest: object
FileUploadRequest
Logo upload request details.
-
refname(required): string
Minimum Length:
1Maximum Length:64Form refnameExample:FORM_01 -
repeat: boolean
Form repeating?Example:
false -
showFrom: array
showFrom
show dynamic parent from forms of same visit
-
source: object
FormCopySourceDto v18.0
Title:
FormCopySourceDto v18.0Form Copy Source Information -
title(required): string
Minimum Length:
1Maximum Length:64Form titleExample:Demography -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z
Nested Schema : assignedVisits
Type:
arraybranch cycle information describing the visits on which the forms are displayed
Show Source
-
Array of:
object From Item Advanced Property With Parent v18.0
Title:
From Item Advanced Property With Parent v18.0Form Item Advanced Property with Parent Info
Nested Schema : formSubcategory
Type:
arrayForm subcategory list
Show Source
-
Array of:
string
Form subcategory list
Nested Schema : items
Type:
Show Source
array-
Array of:
object FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information
Nested Schema : linkFrom
Type:
arraylinked from forms
Show Source
-
Array of:
object FormLinkFromDto v18.0
Title:
FormLinkFromDto v18.0Linked From Form Details
Nested Schema : FileUploadRequest
Type:
objectLogo upload request details.
Show Source
-
contentType: string
File content type.Example:
image/png -
fileName(required): string
File nameExample:
File1001 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test, active, or training -
name(required): string
Random name for bucket where file uploadedExample:
1A73BC4FE4954AE4AC50DDF9729F80BE
Example:
{
"name":"1A73BC4FE4954AE4AC50DDF9729F80BE",
"mode":"design",
"fileName":"study-logo.png",
"contentType":"image/png"
}Nested Schema : showFrom
Type:
arrayshow dynamic parent from forms of same visit
Show Source
-
Array of:
object FormLinkFromDto v18.0
Title:
FormLinkFromDto v18.0Linked From Form Details
Nested Schema : FormCopySourceDto v18.0
Type:
objectTitle:
FormCopySourceDto v18.0Form Copy Source Information
Show Source
-
FormId: string
(uuid)
Source Form GUID
-
id: string
(uuid)
Source Study GUID
-
StudyTitle: string
Source Study titleExample:
Study-s1 -
versionStart: string
(date-time)
Version Start dateExample:
2018-11-23T08:43:01.7Z -
versionstart: boolean
is Rules CopiedExample:
false
Nested Schema : From Item Advanced Property With Parent v18.0
Type:
objectTitle:
From Item Advanced Property With Parent v18.0Form Item Advanced Property with Parent Info
Show Source
-
id: string
(uuid)
Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
-
label: string
(uuid)
parent object ID
-
name: string
Minimum Length:
1Maximum Length:255EHR code list or attribute group name.Example:EHRLabsAttributes -
parentObjectLabel: string
parent object nameExample:
Form 1 -
parentObjectLevel: string
type of parent objectExample:
FORM -
rules: array
rules
-
type: string
Minimum Length:
1Maximum Length:30Advanced property type. EHR mapping responses use EHRMapping.Example:EHRMapping -
value: string
Minimum Length:
1Maximum Length:2048EHR category, item, or option code represented by this mapping item.Example:LabResult
Nested Schema : rules
Type:
Show Source
array-
Array of:
object Form Item Advanced Property Rule v18.0
Title:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Nested Schema : Form Item Advanced Property Rule v18.0
Type:
objectTitle:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Show Source
-
label: string
Display label for the rule value.Example:
Yes -
name: string
Rule name.Example:
Answer -
value: string
Rule value. When the value is an ID, it is a UUID, 32-character uppercase hexadecimal string.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"Answer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}Nested Schema : FormItemDto v18.0
Type:
objectTitle:
FormItemDto v18.0Discriminator: questionType
Discriminator Values
Form Item Information
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
How many leading questions in this form have to be answered by user correctly before Item is included into the form.Example:
1 -
formId: string
(uuid)
Form Unique GUID
-
formTitle: string
Form titleExample:
Demography -
formula: string
Smart item formula.Example:
[{'ruleName':'AGE','ruleExpression':'AgeInYears(AGE_DOB_01, visitDate)'}] -
groupSequence: integer
(int32)
Group sequence.
- hidden: boolean
-
id: string
(uuid)
Form Item Unique GUID
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Question typeExample:numeric -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Whether this form item is requiered or not.Example:
true -
ruleSet: string
A JSON-formatted set of rules to do validation of the answers.Example:
{'logicalOperator':'NONE','rules':[],'numberIndex':1} -
sasLabel: string
Form Item sasLabelExample:
Adverse Event -
sasVariable: string
Form Item SASVariableExample:
AE -
sdvRequired(required): string
Allowed Values:
[ "NOTSET", "NEVER", "ALWAYS", "CRITICAL" ]Source Data Verification TypeExample:NEVER(0),ALWAYS(1),CRITICAL(2) -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item Unique GUID
-
smartObject: string
Smart object.Example:
AGE
Match One Schema
Show Source
-
object
FormNumberItemDto v18.0
Title:
FormNumberItemDto v18.0Form Number Item Details Information -
object
FormChoiceItemDto v18.0
Title:
FormChoiceItemDto v18.0Form Choice Item Details Information -
object
FormTextItemDto v18.0
Title:
FormTextItemDto v18.0Form text Item Details Information -
object
FormDatetimeItemDto v18.0
Title:
FormDatetimeItemDto v18.0Form DateTime Item Details Information -
object
FormQuestionGroupItemDto v18.0
Title:
FormQuestionGroupItemDto v18.0Form Question Group Item Details Information -
object
FormTableItemDto v18.0
Title:
FormTableItemDto v18.0Form table Item Details Information -
object
FormSectionalItemDto v18.0
Title:
FormSectionalItemDto v18.0Form Section Item Details Information -
object
FormLabelItemDto
-
object
FormInstructionalTextItem v18.0
Title:
FormInstructionalTextItem v18.0Instructional information about the form or question -
object
FormExistingDataItemDtoV18
Form existing data item Information
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object Form Item Advanced Property v18.0
Title:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Nested Schema : dataClassificationIds
Type:
Show Source
array-
Array of:
object Form Item Advanced Property v18.0
Title:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Nested Schema : FormNumberItemDto v18.0
Type:
objectTitle:
FormNumberItemDto v18.0Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormNumberItemDto v18.0-allOf[1]
Nested Schema : FormChoiceItemDto v18.0
Type:
objectTitle:
FormChoiceItemDto v18.0Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormChoiceItemDto v18.0-allOf[1]
Nested Schema : FormTextItemDto v18.0
Type:
objectTitle:
FormTextItemDto v18.0Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormTextItemDto v18.0-allOf[1]
Nested Schema : FormDatetimeItemDto v18.0
Type:
objectTitle:
FormDatetimeItemDto v18.0Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormDatetimeItemDto v18.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v18.0
Type:
objectTitle:
FormQuestionGroupItemDto v18.0Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information
Nested Schema : FormTableItemDto v18.0
Type:
objectTitle:
FormTableItemDto v18.0Form table Item Details Information
Match All
Form table Item Details Information
Form table Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormTableItemDto v18.0-allOf[1]
Nested Schema : FormSectionalItemDto v18.0
Type:
objectTitle:
FormSectionalItemDto v18.0Form Section Item Details Information
Match All
Form Section Item Details Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information
Nested Schema : FormLabelItemDto
Type:
objectMatch All
Show Source
-
object
FormItemDto v21.0
Title:
FormItemDto v21.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema. -
object
FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItem v18.0
Type:
objectTitle:
FormInstructionalTextItem v18.0Instructional information about the form or question
Match All
Instructional information about the form or question
Instructional information about the form or question
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormInstructionalTextItem v18.0-allOf[1]
Nested Schema : FormExistingDataItemDtoV18
Type:
objectForm existing data item Information
Match All
Form existing data item Information
Form existing data item Information
Show Source
-
object
FormItemDto v18.0
Title:
FormItemDto v18.0Discriminator:{ "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov18", "numeric":"#/components/schemas/FormNumberItemDtov18", "measurement":"#/components/schemas/FormNumberItemDtov18", "text":"#/components/schemas/FormTextItemDtov18", "choice":"#/components/schemas/FormChoiceItemDtov18", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov18", "table":"#/components/schemas/FormTableItemDtov18", "section":"#/components/schemas/FormSectionalItemDtov18", "label":"#/components/schemas/FormInstructionalTextItemDtov18", "existingData":"#/components/schemas/FormExistingDataItemDtoV18" } }Form Item Information -
object
FormExistingDataItemDtoV18-allOf[1]
Nested Schema : Form Item Advanced Property v18.0
Type:
objectTitle:
Form Item Advanced Property v18.0Advanced property item used to describe an EHR mapping option.
Show Source
-
id: string
(uuid)
Advanced property item ID. UUID, 32-character uppercase hexadecimal string.
-
label: string
Display label for the EHR mapping item.Example:
Lab Result -
name: string
Minimum Length:
1Maximum Length:255EHR code list or attribute group name.Example:EHRLabsAttributes -
rules: array
rules
-
type: string
Minimum Length:
1Maximum Length:30Advanced property type. EHR mapping responses use EHRMapping.Example:EHRMapping -
value: string
Minimum Length:
1Maximum Length:2048EHR category, item, or option code represented by this mapping item.Example:LabResult
Example:
{
"id":"7A4D3C2B1E8F4D56A23C9F3A0C7D4E22",
"type":"EHRMapping",
"name":"EHRLabsAttributes",
"value":"LabResult",
"label":"Lab Result"
}Nested Schema : rules
Type:
Show Source
array-
Array of:
object Form Item Advanced Property Rule v18.0
Title:
Form Item Advanced Property Rule v18.0Optional rule metadata for a form item advanced property.
Nested Schema : FormNumberItemDto v18.0-allOf[1]
Type:
Show Source
object-
precision: integer
(int32)
Minimum Value:
0Number value precisionExample:1 -
units: string
Units of measureExample:
kg
Nested Schema : FormChoiceItemDto v18.0-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
columnLayout: string
Coumn Layout codelist IDExample:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Coumn Layout Label in UIExample:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelForm choice item display in UI - Selectbox.Example:selectbox -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object From Item Advanced Property With Parent v18.0
Title:
From Item Advanced Property With Parent v18.0Form Item Advanced Property with Parent Info
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v18.0
Title:
FormOptionDto v18.0Form choice item option details
Nested Schema : FormOptionDto v18.0
Type:
objectTitle:
FormOptionDto v18.0Form choice item option details
Show Source
-
clCode: string
Codelist code for a one specific choice.Example:
1 -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for a one specific choice.Example:1 -
clValue: string
Codelist value for a one specific choice.Example:
1 -
label: string
Minimum Length:
1Maximum Length:4000Form choice selectbox label for a one specific choice.Example:Female -
value: string
Minimum Length:
1Maximum Length:4000Form choice selectbox value for a one specific choice.Example:1
Nested Schema : FormTextItemDto v18.0-allOf[1]
Type:
Show Source
object-
maxlength: integer
(int32)
Minimum Value:
0Maximum Value:4000Form text item max lengthExample:4000 -
multiline: boolean
Is form text item multilineExample:
false
Nested Schema : FormDatetimeItemDto v18.0-allOf[1]
Type:
Show Source
object-
allowFutureDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow future dateExample:1 -
allowPartialDate: integer
(int32)
Minimum Value:
0Maximum Value:1Allow partial dateExample:1 -
format: string
Date time formatExample:
DD-MON-YYYY -
partialDate: string
Partial date formatExample:
Jan-1993
Nested Schema : FormItemDto v21.0
Type:
objectTitle:
FormItemDto v21.0Discriminator: questionType
Discriminator Values
- datetime
- numeric
- measurement
- text
- choice
- questionGroup
- table
- section
- label
- instructionalText
- existingData
- fileUpload
Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
-
advancedProps: array
advancedProps
-
applyChangeToVersion: string
For IPR apply change to versionExample:
1.0.0.1 -
clLabNormalsTag: string
Code list Lab Normals Tag used in the code list dialog taggingExample:
LabTest, LabUnit, LabGender, LabRace, LabStandardResult -
dataClassificationIds: array
dataClassificationIds
Data classification entries.
-
dataClassificationLevel: string
Data classification level if applicableExample:
edit, view -
dynamic: integer
(int32)
Number of preceding questions that must be answered before this dynamic item is included in the form.Example:
0 -
e2br3Mapping: array
e2br3Mapping
E2B R3 mapping entries.
-
formId: string
(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string).
-
formTitle: string
Title of the form that contains the item.Example:
Demographics -
formula: string
Smart item formula.Example:
[{"ruleName":"AGE","ruleExpression":"AgeInYears(AGE_DOB_01, visitDate)"}] -
groupSequence: integer
(int32)
Group sequence.Example:
3 - hidden: boolean
-
id: string
(uuid)
Form item ID (UUID, 32-character uppercase hexadecimal string).
-
isCohortFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization cohort or not.Example:
false -
isStrataFactor: boolean
Flag that indicates whether this form item is used as a factor for randomization stratum or not.Example:
false -
labNormalsTag: string
Lab Normals Tag used in dialog taggingExample:
LabTest, LabUnit, LabLowRange, LabHighRange, LabStandardResult -
questionHint: string
Minimum Length:
0Maximum Length:4000Form question hintExample:What is your age? -
questionLabel(required): string
Minimum Length:
1Maximum Length:4000Form question labelExample:Age -
questionType(required): string
Title:
FormItemTypeAllowed Values:[ "text", "instructionalText", "numeric", "datetime", "choice", "questionGroup", "table", "label", "section", "existingData", "fileUpload" ]Form item type. Possible values include text, datetime, numeric, choice, questionGroup, instructionalText, existingData, table, section, label, and fileUpload.Example:text -
randomizationTag: boolean
Flag that indicates whether this form item should be used for randomization stratification or not.Example:
true -
readOnly: boolean
Is form item read only?Example:
false -
refname(required): string
Minimum Length:
1Maximum Length:64Form item reference name.Example:NUMBER_01 -
required(required): boolean
Indicates whether an answer is required for this form item.Example:
true -
requiredDispensation: boolean
Indicates whether the form item is tagged as required for dispensation event minimum data collection.Example:
false -
requiredForCaseCreate: boolean
Indicates whether the form item is required for safety case creation minimum data collection.Example:
false -
requiredRandomization: boolean
Indicates whether the form item is tagged as required for randomization event minimum data collection.Example:
false -
requiredScreening: boolean
Indicates whether the form item is tagged as required for screening event minimum data collection.Example:
true -
ruleSet: string
A JSON-formatted set of validation rules for the answer.Example:
{"logicalOperator":"NONE","rules":[],"numberIndex":1} -
sasLabel: string
SAS label for the form item when configured.Example:
Subject Initials -
sasVariable: string
SAS variable name for the form item when configured.Example:
SUBJINIT -
sdvRequired(required): string
Source data verification setting. Possible values are NOTSET, NEVER, ALWAYS, and CRITICAL.Example:
NEVER -
sequence: integer
(int32)
Item position in the form.Example:
1 -
smartItemId: string
(uuid)
Smart item ID (UUID, 32-character uppercase hexadecimal string).
-
smartObject: string
Smart object.Example:
AGE -
triggerFollowupCase: boolean
Indicates whether the form item can trigger a follow-up safety case.Example:
false -
visitIds: array
visitIds
Visit IDs associated with this form item. Each value is a UUID, 32-character uppercase hexadecimal string.
Match One Schema
Show Source
-
object
FormNumberItemDto v21.0
Title:
FormNumberItemDto v21.0Numeric or measurement form item returned from a study form. -
object
FormChoiceItemDto v21.0
Title:
FormChoiceItemDto v21.0Choice form item returned from a study form, including selectable options when configured. -
object
FormTextItemDto v21.0
Title:
FormTextItemDto v21.0Text form item returned from a study form. -
object
FormDatetimeItemDto v21.0
Title:
FormDatetimeItemDto v21.0Date or date-time form item returned from a study form. -
object
FormQuestionGroupItemDto v21.0
Title:
FormQuestionGroupItemDto v21.0Question group form item returned from a study form. Nested items contain the questions in the group. -
object
FormTableItemDto v21.0
Title:
FormTableItemDto v21.0Form Table Item Details Information -
object
FormSectionalItemDto v21.0
Title:
FormSectionalItemDto v21.0Form Sectional Item Details Information -
object
FormLabelItemDto
-
object
FormInstructionalTextItemDto v21.0
Title:
FormInstructionalTextItemDto v21.0Instructional text item returned from a study form. -
object
FormExistingDataItemDto v21.0
Title:
FormExistingDataItemDto v21.0Existing-data form item returned from a study form. -
object
FormFileUploadItemDto v21.0
Title:
FormFileUploadItemDto v21.0Form File Upload Item Details Information
Example:
{
"questionType":"text",
"id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
"formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"visitIds":[
"7B4F1B4C9E874845A67B2A83251F9012"
],
"formTitle":"Demographics",
"questionLabel":"Subject Initials",
"questionHint":"Enter the subject initials.",
"refname":"SUBJ_INIT",
"required":true,
"dynamic":0,
"hidden":false,
"readOnly":false,
"sdvRequired":"NEVER",
"sequence":1,
"groupSequence":1,
"sasVariable":"SUBJINIT",
"sasLabel":"Subject Initials"
}Nested Schema : FormLabelItemDto-allOf[1]
Type:
Show Source
object-
advancedProps: array
advancedProps
-
clDescription: string
Minimum Length:
0Maximum Length:4000Codelist description only for choice type formitemExample:Standard gender codelist -
clTitle: string
Codelist title only for choice type formitemExample:
Gender -
codelistId: string
(uuid)
ID of the codelist used by the choice item (UUID, 32-character uppercase hexadecimal string).
-
codelistLang: string
Language of the codelist used by the choice item.Example:
en-US -
codelistLinkType: string
Allowed Values:
[ "STATIC", "DYNAMIC" ]Indicates whether the codelist mapped to the item is static or dynamic.Example:STATIC -
columnLayout: string
Column layout codelist ID (UUID, 32-character uppercase hexadecimal string).Example:
EBCF17C5F8D4460AA4A9673485C79CF0 -
columnLayoutLabel: string
Column layout label displayed for the choice item.Example:
Single -
display: string
Pattern:
selectbox|checkbox|radioset|labelDisplay control used for the choice item. Allowed values: selectbox, checkbox, radioset, or label.Example:radioset -
isCodeListReplaced: boolean
Indicates if the choice option codelist is replacedExample:
true -
options: array
options
Nested Schema : advancedProps
Type:
Show Source
array-
Array of:
object FormItemAdvancedPropWithParentDto v21.0
Title:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Nested Schema : options
Type:
Show Source
array-
Array of:
object FormOptionDto v21.0
Title:
FormOptionDto v21.0Selectable option returned for a choice form item.
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type:
objectTitle:
FormItemAdvancedPropWithParentDto v21.0Advanced property associated with a form item and its parent object.
Show Source
-
id: string
(uuid)
Extended property ID (UUID, 32-character uppercase hexadecimal string).
-
label: string
Rollover study nameExample:
Rollover Study BT-31 -
name: string
Advanced property nameExample:
RolloverQuestionStudyId -
parentObjectId: string
(uuid)
Parent object ID (UUID, 32-character uppercase hexadecimal string).
-
parentObjectLabel: string
Parent object label.Example:
Demographics -
parentObjectLevel: string
Parent object level.Example:
FORM -
rules: array
rules
Advanced property rules list.
-
type: string
Advanced property type.Example:
RolloverQuestion -
value: string
Advanced property value. The meaning depends on the advanced property name.Example:
C2C8327AFAA6412287106192AB5984EF
Example:
{
"id":"B1B8327AFAA6412287106192AB5984EF",
"type":"AssignedVisit",
"name":"Visit",
"value":"D3D8327AFAA6412287106192AB5984EF",
"label":"Screening",
"parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
"parentObjectLabel":"Demographics",
"parentObjectLevel":"FORM"
}Nested Schema : rules
Type:
arrayAdvanced property rules list.
Show Source
-
Array of:
object FormItemAdvancedPropRuleDto v21.0
Title:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Example:
[
{
"name":"RolloverQuestionAnswer",
"value":"B1B8327AFAA6412287106192AB5984EF",
"label":"Yes"
}
]Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type:
objectTitle:
FormItemAdvancedPropRuleDto v21.0Rule entry for a form item advanced property.
Show Source
-
label: string
Rule label.Example:
Yes -
name: string
Rule name.Example:
RolloverQuestionAnswer -
value: string
Rule value.Example:
B1B8327AFAA6412287106192AB5984EF
Example:
{
"name":"RolloverQuestionAnswer",
"value":"YES",
"label":"Yes"
}Nested Schema : FormOptionDto v21.0
Type:
objectTitle:
FormOptionDto v21.0Selectable option returned for a choice form item.
Show Source
-
clCode: string
Codelist code for the choice option when linked to a codelist.Example:
F -
clDescription: string
Minimum Length:
1Maximum Length:4000Codelist description for the choice option when linked to a codelist.Example:Female -
clItemId: string
(uuid)
Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
-
clValue: string
Codelist value for the choice option when linked to a codelist.Example:
Female - hidden: boolean
-
label: string
Minimum Length:
1Maximum Length:4000Display label for the choice option.Example:Female -
optionSeq: string
Minimum Length:
1Maximum Length:4000Sequence value for ordering the choice option.Example:1 -
value: string
Minimum Length:
1Maximum Length:4000Stored answer value for the choice option.Example:F
Example:
{
"label":"Female",
"value":"F",
"clCode":"F",
"clDescription":"Female",
"clValue":"Female",
"clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
"hidden":false,
"optionSeq":"1"
}Nested Schema : FormInstructionalTextItem v18.0-allOf[1]
Type:
Show Source
object-
instructionalText: string
Instructional information about the form or questionExample:
Complete all parts of the form
Nested Schema : FormExistingDataItemDtoV18-allOf[1]
Type:
Show Source
object-
codeName: string
Codelist name for existing data, must be a value from ExistingDataLabels codelistExample:
EDLSite -
codeValue: string
Codelist value specifying existing data, must be a value from codelist defined in codeNameExample:
SiteName
Nested Schema : FormLinkFromDto v18.0
Type:
objectTitle:
FormLinkFromDto v18.0Linked From Form Details
Show Source
-
formId: string
(uuid)
Form GUID
-
items: array
items
Form items
-
parentAssignedVisits: array
parentAssignedVisits
Parent Assigned Visits
Nested Schema : items
Type:
arrayForm items
Show Source
-
Array of:
object From Item Advanced Property With Parent v18.0
Title:
From Item Advanced Property With Parent v18.0Form Item Advanced Property with Parent Info
Nested Schema : parentAssignedVisits
Type:
arrayParent Assigned Visits
Show Source
-
Array of:
object From Item Advanced Property With Parent v18.0
Title:
From Item Advanced Property With Parent v18.0Form Item Advanced Property with Parent Info
Examples
500 Response
Unexpected server error while retrieving unblinded forms.
Root Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}